<?php
$form_editmember= array(
  'first_name'=> array('label'   =>'First Name',
		       'type'    =>'text',
		       'required'=>1,
		       'default' =>$member->first_name,
		       'maxlength'=>50,
		       'valid'   => array(
					  'preg_match("/\w+/", $val)'
					  =>'Must enter a first name'
					  ),
		       ),
  'middle_name'=>array('label'   =>'Middle Name/Initial',
		       'type'    =>'text',
		       'maxlength'=>50,
		       'default' =>$member->middle_name,
		       ),
  'last_name'  =>array('label'   =>'Last Name',
		       'type'    =>'text',
		       'maxlength'=>50,
		       'default' =>$member->last_name,
		       ),
  'sex'        =>array('label'   =>'Sex',
		       'type'    =>'select',
		       'options' =>array('Male','Female'),
		       'default' =>($member->sex=='F')?'Female':'Male',
		       ),
  'address1'   =>array('label'   =>'Address 1',
		       'type'    =>'text',
		       'required'=> true,
		       'maxlength'=>50,
		       'default' =>$member->address1,
		       'valid'   => array(
					  'preg_match("/\w{2,}/", $val)' =>
					  'Your address must contain at '.
					  'least two letters.',
					  ),
		       ),
  'address2'   =>array('label'   =>'Address 2',
		       'type'    =>'text',
		       'maxlength'=>50,
		       'default' =>$member->address2,
		       ),
  'suburb'     =>array('label'   =>'Suburb',
		       'type'    =>'text',
		       'required'=>true,
		       'default' =>$member->suburb,
		       'maxlength'=>50,
		       'valid'   => array(
					  'preg_match("/\w+/", $val)'
					  =>'Must enter a suburb'
					  ),
		       ),
  'postcode'   =>array('label'   =>'Postcode',
		       'type'    =>'text',
		       'required'=>true,
		       'default' =>$member->postcode,
		       'maxlength'=>10,
		       'valid'   => array(
					  'preg_match("/\w+/", $val)'
					  =>'Must enter a postcode'
					  ),
		       ),
  'state'      =>array('label'   =>'State',
		       'type'    =>'text',
		       'default' =>$member->state,
		       'maxlength'=>50,
		       ),
  'country'    =>array('label'   =>'Country',
		       'type'    =>'text',
		       'required'=>true,
		       'default' =>$member->country,
		       'maxlength'=>20,
		       'valid'   =>array(
					 'preg_match("/\w+/", $val)'
					 =>'Must enter a country'
					 ),
		       ),
  'email'      =>array('label'   =>'Email Address',
		       'type'    =>'text',
		       'required'=>true,
		       'maxlength'=>50,
		       'default' =>$member->email,
		       'valid'   =>array(
					 'preg_match("/\w+/", $val)'
					 =>'Must enter an email address'
					 ),
		       ),
  'phone_home' =>array('label'   =>'Home Phone',
		       'type'    =>'text',
		       'default' =>$member->phone_home,
		       'maxlength'=>25,
		       ),
  'phone_mobile'=>array('label'  =>'Mobile Phone',
			'type'   =>'text',
			'default'  =>$member->phone_mobile,
			'maxlength'=>25,
			),
  );

?>